Intel® Quartus® Prime Software
Intel® Quartus® Prime Design Software, Design Entry, Synthesis, Simulation, Verification, Timing Analysis, System Design (Platform Designer, formerly Qsys)
Announcements
Intel Support hours are Monday-Fridays, 8am-5pm PST, except Holidays. Thanks to our community members who provide support during our down time or before we get to your questions. We appreciate you!

Need Forum Guidance? Click here
Search our FPGA Knowledge Articles here.
15321 Discussions

HLS Compiler and Quartus versions compatibility and trouble with Visual Studio

alxb
Novice
288 Views

Good day! I've installed HLS Compiler 21.1. I can't execute examples. And I have license on Quartus 14.1 version only. Will HLS Compiler run with that version or it works only with latest Quartus versions? And also while running init_hls.bat script can't detect Visual Studio 2017 on drive but I've already installed VS 2017. Path of VS is on drive D:/ (D:\Microsoft Visual Studio) Is that critical? And I've chosed not all components of VS to reduce needed hard drive space. What components of Visual Studio are critical for HLS Compiler?

0 Kudos
3 Replies
alxb
Novice
263 Views

Hey, Quartus gurus! Are anybody here?..

alxb
Novice
250 Views

Up!

AnilErinch_A_Intel
199 Views

Hi ,

You can use HLS even with the Quartus Prime Lite edition if you are concerned about the licensing.

There are different options available with Quartus to make it work with different IDEs.

https://www.intel.com/content/www/us/en/programmable/documentation/xfy1510159781700.html

Regarding the older Quartus version support , we generally test Quartus versions up to 3 versions Prior to the HLS version.

Thanks and Regards

Anil



Reply